Erreurs de compilation des VMware-Tools sur des distributions récentes (UTS_RELEASE does not match)

Si vous voulez compiler les Vmware-tools sur une distribution récente vous risquer de vous heurter à l’erreur suivante :

The directory of kernel headers (version @@VMWARE@@ UTS_RELEASE) does not match
your running kernel (version 2.6.42.9-1.fc15.i686). Even if the module were to
compile successfully, it would not load into the running kernel.

Pour la compilation, il cherche la variable UTS_RELEASE et comme cette variable n’existe plus dans les kernels récents, il ne lance même pas la compil. Donc il ne reste plus qu’à ajouter cette variable dans le bon fichier et l’affaire est réglée.

Aller dans éditer le fichier version.h qui devrait se trouver dans le dossier include/linux à partir du dossier de sources de votre kernel, généralement /usr/src/linux/include/linux.

Vous devriez avoir un fichier qui ressemble à ça (ici pour une fedora 15):

#define LINUX_VERSION_CODE 197129
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
#define UTS_RELEASE "2.6.42.9-1.fc15.i686"
Posted Wednesday, July 25th, 2012 under Virtualisation, VMware.

Leave a Reply